# Exercises

Answer the following questions (or at least as many as you can figure out) in this document. 
For all the questions, use the 100k words. Give your answer for each exercise, and 
show the command you used to get it. Each question can be answered using a single Terminal 
command, though you might need to use a number of pipes. 

If you want to be really stylish, put your code inside of backticks like this: 

`cat words_100k.txt | length | put 10 | equal | count`

## 1. What is the longest word?
`cat words_100k.txt | length | order | tail
28 antidisestablishmentarianism

## 2. How many words have two u's in a row?
`cat words_100k.txt| match "u.*u.*" | count
2091

## 3. How many words have the word "cat" in them?
`cat words_100k.txt| match "cat" | count
893

## 4. How many words have all five vowels (aeiou)?
`cat words_100k.txt| match "a.*e.*i.*o.*u.*" | count
8

## 5. Which words have two e's in a row, two o's in a row, and two k's in a row? (they don't have to be in that order)
`cat words_100k.txt | grep -E 'ee.*oo.*kk|ee.*kk.*oo|oo.*ee.*kk|oo.*kk.*ee|kk.*ee.*oo|kk.*oo.*ee' | count
3 (this one I counsulted with ChatGPT)

## 6. How many words have sixteen or more letters?
`cat words_100k.txt| length | put 16| lessthan -e | count
696

## 7. What's the most frequent 10-letter word?
`cat words_100k.txt| length | put 10 | equal | frequency | head
I tried this but it seems that the frequency of each words are same: 208000, so I don't know which is the most frequent.

## 8. What's the longest word which doesn't have any repeated letters?
·cat words_100k.txt| length | unique 1 | length | equal 0 2 | order | tail 
13 abcdeilnprtuy 13 unpredictably
13 abceghiloprty 13 copyrightable
13 abceilmnoprtu 13 unproblematic
13 abegiklmnortu 13 troublemaking
13 acegilmnopsty 13 salpingectomy

## 9. What's the longest word which only uses four different letters?
·cat words_100k.txt| length | unique 1 | length |put 4 | equal | pluck 4 | length | order | tail
13 senselessness

## 10. If you rearrange the letters in "sidebar," what other words can you create?
I'm not quite sure what this question mean, I will check with my group. 

